ApiIcebergReplicationResult (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiIcebergReplicationResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiIcebergReplicationResult

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiIcebergReplicationResult
      extends Object

  Detailed information about an ICEBERG replication job.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiIcebergReplicationResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiIcebergReplicationResult` | `copyDataJobDetailsUri(String copyDataJobDetailsUri)`
    `ApiIcebergReplicationResult` | `copyDataJobId(String copyDataJobId)`
    `ApiIcebergReplicationResult` | `copyDeleteDataJobDetailsUri(String copyDeleteDataJobDetailsUri)`
    `ApiIcebergReplicationResult` | `copyDeleteDataJobId(String copyDeleteDataJobId)`
    `ApiIcebergReplicationResult` | `copyMetadataJobDetailsUri(String copyMetadataJobDetailsUri)`
    `ApiIcebergReplicationResult` | `copyMetadataJobId(String copyMetadataJobId)`
    `boolean` | `equals(Object o)`
    `ApiIcebergReplicationResult` | `failed(Boolean failed)`
    `String` | `getCopyDataJobDetailsUri()` Get copyDataJobDetailsUri
    `String` | `getCopyDataJobId()` Get copyDataJobId
    `String` | `getCopyDeleteDataJobDetailsUri()` Get copyDeleteDataJobDetailsUri
    `String` | `getCopyDeleteDataJobId()` Get copyDeleteDataJobId
    `String` | `getCopyMetadataJobDetailsUri()` Get copyMetadataJobDetailsUri
    `String` | `getCopyMetadataJobId()` Get copyMetadataJobId
    `BigDecimal` | `getNumberOfFilesCopied()` Get numberOfFilesCopied
    `BigDecimal` | `getNumberOfFilesDeleted()` Get numberOfFilesDeleted
    `BigDecimal` | `getNumberOfManifestsTransformed()` Get numberOfManifestsTransformed
    `BigDecimal` | `getNumberOfTablesProcessed()` Get numberOfTablesProcessed
    `String` | `getPeerClusterName()` Get peerClusterName
    `String` | `getPeerName()` Get peerName
    `String` | `getTimestamp()` Get timestamp
    `int` | `hashCode()`
    `Boolean` | `isFailed()` Get failed
    `ApiIcebergReplicationResult` | `numberOfFilesCopied(BigDecimal numberOfFilesCopied)`
    `ApiIcebergReplicationResult` | `numberOfFilesDeleted(BigDecimal numberOfFilesDeleted)`
    `ApiIcebergReplicationResult` | `numberOfManifestsTransformed(BigDecimal numberOfManifestsTransformed)`
    `ApiIcebergReplicationResult` | `numberOfTablesProcessed(BigDecimal numberOfTablesProcessed)`
    `ApiIcebergReplicationResult` | `peerClusterName(String peerClusterName)`
    `ApiIcebergReplicationResult` | `peerName(String peerName)`
    `void` | `setCopyDataJobDetailsUri(String copyDataJobDetailsUri)`
    `void` | `setCopyDataJobId(String copyDataJobId)`
    `void` | `setCopyDeleteDataJobDetailsUri(String copyDeleteDataJobDetailsUri)`
    `void` | `setCopyDeleteDataJobId(String copyDeleteDataJobId)`
    `void` | `setCopyMetadataJobDetailsUri(String copyMetadataJobDetailsUri)`
    `void` | `setCopyMetadataJobId(String copyMetadataJobId)`
    `void` | `setFailed(Boolean failed)`
    `void` | `setNumberOfFilesCopied(BigDecimal numberOfFilesCopied)`
    `void` | `setNumberOfFilesDeleted(BigDecimal numberOfFilesDeleted)`
    `void` | `setNumberOfManifestsTransformed(BigDecimal numberOfManifestsTransformed)`
    `void` | `setNumberOfTablesProcessed(BigDecimal numberOfTablesProcessed)`
    `void` | `setPeerClusterName(String peerClusterName)`
    `void` | `setPeerName(String peerName)`
    `void` | `setTimestamp(String timestamp)`
    `ApiIcebergReplicationResult` | `timestamp(String timestamp)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiIcebergReplicationResult

          public ApiIcebergReplicationResult()

  - ### Method Detail

    - #### numberOfTablesProcessed

          public ApiIcebergReplicationResult numberOfTablesProcessed(BigDecimal numberOfTablesProcessed)

    - #### getNumberOfTablesProcessed

          public BigDecimal getNumberOfTablesProcessed()

      Get numberOfTablesProcessed
      Returns:
        numberOfTablesProcessed

    - #### setNumberOfTablesProcessed

          public void setNumberOfTablesProcessed(BigDecimal numberOfTablesProcessed)

    - #### numberOfFilesCopied

          public ApiIcebergReplicationResult numberOfFilesCopied(BigDecimal numberOfFilesCopied)

    - #### getNumberOfFilesCopied

          public BigDecimal getNumberOfFilesCopied()

      Get numberOfFilesCopied
      Returns:
        numberOfFilesCopied

    - #### setNumberOfFilesCopied

          public void setNumberOfFilesCopied(BigDecimal numberOfFilesCopied)

    - #### numberOfFilesDeleted

          public ApiIcebergReplicationResult numberOfFilesDeleted(BigDecimal numberOfFilesDeleted)

    - #### getNumberOfFilesDeleted

          public BigDecimal getNumberOfFilesDeleted()

      Get numberOfFilesDeleted
      Returns:
        numberOfFilesDeleted

    - #### setNumberOfFilesDeleted

          public void setNumberOfFilesDeleted(BigDecimal numberOfFilesDeleted)

    - #### numberOfManifestsTransformed

          public ApiIcebergReplicationResult numberOfManifestsTransformed(BigDecimal numberOfManifestsTransformed)

    - #### getNumberOfManifestsTransformed

          public BigDecimal getNumberOfManifestsTransformed()

      Get numberOfManifestsTransformed
      Returns:
        numberOfManifestsTransformed

    - #### setNumberOfManifestsTransformed

          public void setNumberOfManifestsTransformed(BigDecimal numberOfManifestsTransformed)

    - #### failed

          public ApiIcebergReplicationResult failed(Boolean failed)

    - #### isFailed

          public Boolean isFailed()

      Get failed
      Returns:
        failed

    - #### setFailed

          public void setFailed(Boolean failed)

    - #### timestamp

          public ApiIcebergReplicationResult timestamp(String timestamp)

    - #### getTimestamp

          public String getTimestamp()

      Get timestamp
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### copyMetadataJobDetailsUri

          public ApiIcebergReplicationResult copyMetadataJobDetailsUri(String copyMetadataJobDetailsUri)

    - #### getCopyMetadataJobDetailsUri

          public String getCopyMetadataJobDetailsUri()

      Get copyMetadataJobDetailsUri
      Returns:
        copyMetadataJobDetailsUri

    - #### setCopyMetadataJobDetailsUri

          public void setCopyMetadataJobDetailsUri(String copyMetadataJobDetailsUri)

    - #### copyDataJobDetailsUri

          public ApiIcebergReplicationResult copyDataJobDetailsUri(String copyDataJobDetailsUri)

    - #### getCopyDataJobDetailsUri

          public String getCopyDataJobDetailsUri()

      Get copyDataJobDetailsUri
      Returns:
        copyDataJobDetailsUri

    - #### setCopyDataJobDetailsUri

          public void setCopyDataJobDetailsUri(String copyDataJobDetailsUri)

    - #### copyDeleteDataJobDetailsUri

          public ApiIcebergReplicationResult copyDeleteDataJobDetailsUri(String copyDeleteDataJobDetailsUri)

    - #### getCopyDeleteDataJobDetailsUri

          public String getCopyDeleteDataJobDetailsUri()

      Get copyDeleteDataJobDetailsUri
      Returns:
        copyDeleteDataJobDetailsUri

    - #### setCopyDeleteDataJobDetailsUri

          public void setCopyDeleteDataJobDetailsUri(String copyDeleteDataJobDetailsUri)

    - #### copyMetadataJobId

          public ApiIcebergReplicationResult copyMetadataJobId(String copyMetadataJobId)

    - #### getCopyMetadataJobId

          public String getCopyMetadataJobId()

      Get copyMetadataJobId
      Returns:
        copyMetadataJobId

    - #### setCopyMetadataJobId

          public void setCopyMetadataJobId(String copyMetadataJobId)

    - #### copyDataJobId

          public ApiIcebergReplicationResult copyDataJobId(String copyDataJobId)

    - #### getCopyDataJobId

          public String getCopyDataJobId()

      Get copyDataJobId
      Returns:
        copyDataJobId

    - #### setCopyDataJobId

          public void setCopyDataJobId(String copyDataJobId)

    - #### copyDeleteDataJobId

          public ApiIcebergReplicationResult copyDeleteDataJobId(String copyDeleteDataJobId)

    - #### getCopyDeleteDataJobId

          public String getCopyDeleteDataJobId()

      Get copyDeleteDataJobId
      Returns:
        copyDeleteDataJobId

    - #### setCopyDeleteDataJobId

          public void setCopyDeleteDataJobId(String copyDeleteDataJobId)

    - #### peerName

          public ApiIcebergReplicationResult peerName(String peerName)

    - #### getPeerName

          public String getPeerName()

      Get peerName
      Returns:
        peerName

    - #### setPeerName

          public void setPeerName(String peerName)

    - #### peerClusterName

          public ApiIcebergReplicationResult peerClusterName(String peerClusterName)

    - #### getPeerClusterName

          public String getPeerClusterName()

      Get peerClusterName
      Returns:
        peerClusterName

    - #### setPeerClusterName

          public void setPeerClusterName(String peerClusterName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.